# Returns a shipment from the system by its ID. This method will look up a shipment by the specified ID and return it back. Endpoint: GET /shipments/{tenantId}/{id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. - `id` (string, required) The ID of the shipment to return. ## Query parameters: - `fields` (string) The fields that you want to retrieve; if omitted, the entire object is returned. - `consistentRead` (string) Indicates the API should force a consistent read on the data source. ## Response 200 fields (application/json): - `carrier_integration` (string) Enum: "none", "ups" - `custom_field_values` (array) - `custom_field_values.boolean_value` (boolean) The boolean value - `custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `custom_field_values.file_url_value` (string) The pointer to a file value - `custom_field_values.list_value` (array) The list value - `custom_field_values.numeric_value` (number) The numeric value - `custom_field_values.string_value` (string) The string value of the custom field - `custom_field_values.table_value` (array) A list of objects (a table) - `date` (string) The date of the shipment - `dimensions` (object, required) - `dimensions.depth` (number, required) Depth in inches - `dimensions.height` (number, required) Height in inches - `dimensions.width` (number, required) Width in inches - `id` (string, required) The unique, string identifier of this shipment - `line_items` (array, required) - `line_items.order_line_item_id` (string, required) The order line item ID being fulfilled - `line_items.product_id` (string, required) The id of the product - `line_items.product_type` (string, required) The type of product - `line_items.quantity` (integer, required) The quantity of the order item - `notes` (string) General notes - `number` (number, required) The unique, string identifier of this shipment - `number_of_pieces` (number) The number of pieces - `order_id` (string, required) The order being fulfilled - `packing_slip_notes` (string) Notes for the packing slip - `send_email_confirmation_to_customer` (boolean, required) Whether or not the customer should be notified by email - `shipping_address` (object, required) A complete address - `shipping_address.city` (string) The city of the address - `shipping_address.country` (string) The country ISO code - `shipping_address.country_name` (string) The full name of hte country - `shipping_address.county` (string) The county - `shipping_address.latitude` (number) - `shipping_address.line1` (string) The first line of the address - `shipping_address.line2` (string) The second line of the address - `shipping_address.line3` (string) The third line of the address - `shipping_address.longitude` (number) - `shipping_address.postal_code` (string) The zip/postal code - `shipping_address.state` (string) The state/province of the address - `shipping_address.time_zone_id` (string) - `shipping_label_uri` (string) The shipping label, if applicable - `shipping_method_description` (string, required) User-friendly description for how the shipment was shipped - `shipping_method_id` (string) The shipping method ID from the order - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `tracking_number` (string) The tracking number - `ups_integration` (object, required) - `ups_integration.packaging_code` (string, required) The UPS packaging code - `ups_integration.service_code` (string, required) The UPS service code - `weight` (object, required) - `weight.ounces` (number, required) Number of ounces - `weight.pounds` (number, required) Number of pounds ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields